QGIS Application - Bug report #530
Include Qt plugins for Wind and statical builds (Jpeg does not work)
2007-01-11 02:03 AM - guy-duplaa-onf-fr -

Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: Build/Install

Affected QGIS version: Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 10589
Description

Opening the menu File/save as image, i can save fast and well in png, but choosing jpeg, the file is created but empty (0 ko)

History

#1 - 2007-01-27 11:44 AM - Magnus Homann
- Resolution set to worksforme

- Status changed from Open to Closed

| can't reproduce this. It works for me both in trunk (compiled on win2k) and 0.8 (windows binary download).

#2 - 2007-02-01 02:35 AM - guy-duplaa-onf-fr -
- Status changed from Closed to Feedback
- Resolution deleted (worksforme)

| installed it on others computers. Same stuff.
| uninstall/download  ggis-0.8.0_setup.exe and install it, same stuff, jpeg is empty with rasters and or vectors

#3 - 2007-02-03 10:54 AM - Magnus Homann
- Resolution set to worksforme

- Status changed from Feedback to Closed

What version of windows do you have?
Download http://www.dependencywalker.com/ and run ggis from within that program, and save as jpeg. Attach all DLL:s loaded.

#4 - 2007-02-06 08:39 AM - guy-duplaa-onf-fr -

[[GuyDLL]].odt: The first 5 dil have an error but two exist:Grassplugin.dll and Grassprovider.dll and 3 doesn't exist :Grassplugin.dil.dll ; wintab32.dll ;
Wintab32

[[GuyDependencyWal og]].odt at the end (page 50) is what appears the second time i run jpeg register, the first time it did it plus what you have in page 45
to 50.

Hope it is what you needed.
http://www.dependencywalker.com/

#5 - 2007-02-06 11:18 AM - Magnus Homann
- Resolution deleted (worksforme)
- Status changed from Closed to Feedback

There were missing libraries with the program dsitribution. In the mean time, try this:

1) In the directory where ggis.exe exist, make a sub-directory called 'imageformats'.
2) Copy the attached DLL to that directory.

Tim: We need to fix this with distribution. Every directory under $QTDIR\\plugins might be needed.

#6 - 2007-02-06 11:18 AM - Magnus Homann

- Status changed from Feedback to Open

#7 - 2007-02-06 11:27 PM - guy-duplaa-onf-fr -

The attached file is a .exe and not a . dll (properties = C++ application development framework). May be i do something wrong ?

#8 - 2007-02-07 12:04 PM - Magnus Homann

I've added .zip file containing the DLL. Download, and unzip with [[WinZip]] as per instructions above. See if that helps?

#9 - 2007-02-09 02:03 AM - guy-duplaa-onf-fr -

Yessssss !!! it works perfectly well and fast.

Thank you very much.

So the process is:

1) In the directory where qgis.exe exist, make a sub-directory called 'imageformats'.
2) Unzip gjpeg1_dll.zip. Copy the attached DLL to that directory.

That's all

#10 - 2007-02-09 09:17 AM - Magnus Homann

Excellent! Tim will include this in future win32 builds.

#11 - 2007-02-23 11:34 AM - Tim Sutton

- Resolution set to fixed
- Status changed from Open to Closed

I have put all the gt plugins under a plugins/ folder in the install dir. | tested here on my machine and was able to write png an jpg images. Please test in the
upcoming 0.8.1 preview release and reopen if the issue persists.

Many Thanks

Tim
#12 - 2009-08-22 12:51 AM - Anonymous

Milestone Version 0.8.1 deleted

Files

GuyDependencyWalog.odt
GuyDLL.odt

gjpeg1.dll

gjpeg1_dll.zip

2025-05-18

36.2 KB
11.1 KB
158 KB
158 KB

2007-02-06
2007-02-06
2007-02-06
2007-02-07

guy-duplaa-onf-fr -
guy-duplaa-onf-fr -
Magnus Homann

anonymous -

3/3



